aubio 0.4.2~alpha

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

mfcc.h
Go to the documentation of this file.
1 /*
2 Copyright (C) 2007-2013 Paul Brossier <piem@aubio.org>
3 and Amaury Hazan <ahazan@iua.upf.edu>
4
5 This file is part of aubio.
6
7 aubio is free software: you can redistribute it and/or modify
8 it under the terms of the GNU General Public License as published by
9 the Free Software Foundation, either version 3 of the License, or
10 (at your option) any later version.
11
12 aubio is distributed in the hope that it will be useful,
13 but WITHOUT ANY WARRANTY; without even the implied warranty of
14 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
15 GNU General Public License for more details.
16
17 You should have received a copy of the GNU General Public License
18 along with aubio. If not, see <http://www.gnu.org/licenses/>.
19
20 */
21
22 /** \file
23
24 Mel-frequency cepstrum coefficients object
25
26 \example spectral/test-mfcc.c
27
28 */
29
30 #ifndef _AUBIO_MFCC_H
31 #define _AUBIO_MFCC_H
32
33 #ifdef __cplusplus
34 extern "C"
35 {
36 #endif
37
38 /** mfcc object */
39 typedef struct _aubio_mfcc_t aubio_mfcc_t;
40
41 /** create mfcc object
42
43 \param buf_size size of analysis buffer (and length the FFT transform)
44 \param samplerate audio sampling rate
45 \param n_coeffs number of desired coefficients
46 \param n_filters number of desired filters
47
48 */
49 aubio_mfcc_t *new_aubio_mfcc (uint_t buf_size,
50 uint_t n_filters, uint_t n_coeffs, uint_t samplerate);
51
52 /** delete mfcc object
53
54 \param mf mfcc object as returned by new_aubio_mfcc
55
56 */
57 void del_aubio_mfcc (aubio_mfcc_t * mf);
58
59 /** mfcc object processing
60
61 \param mf mfcc object as returned by new_aubio_mfcc
62 \param in input spectrum (buf_size long)
63 \param out output mel coefficients buffer (n_coeffs long)
64
65 */
66 void aubio_mfcc_do (aubio_mfcc_t * mf, cvec_t * in, fvec_t * out);
67
68 #ifdef __cplusplus
69 }
70 #endif
71
72 #endif /* _AUBIO_MFCC_H */
aubio_mfcc_t
struct _aubio_mfcc_t aubio_mfcc_t
mfcc object
Definition: mfcc.h:39
new_aubio_mfcc
aubio_mfcc_t * new_aubio_mfcc(uint_t buf_size, uint_t n_filters, uint_t n_coeffs, uint_t samplerate)
create mfcc object
aubio_mfcc_do
void aubio_mfcc_do(aubio_mfcc_t *mf, cvec_t *in, fvec_t *out)
mfcc object processing
fvec_t
Buffer for real data.
Definition: fvec.h:67
cvec_t
Vector of real-valued phase and spectrum data.
Definition: cvec.h:63
uint_t
unsigned int uint_t
unsigned integer
Definition: types.h:60
del_aubio_mfcc
void del_aubio_mfcc(aubio_mfcc_t *mf)
delete mfcc object